#!/usr/bin/env python2.5


import gobject

import dbus
import dbus.service
import dbus.mainloop.glib


class Service(dbus.service.Object):
	def __init__(self):
		busname = dbus.service.BusName("com.pengutronix.jdb.Hello", dbus.SessionBus())
		dbus.service.Object.__init__(self, None, "/", busname)


	@dbus.service.method("com.pengutronix.jdb.Hello",
		in_signature='', out_signature='s')
	def HelloWorld(self):
		return "Hello World!"

	@dbus.service.method("com.pengutronix.jdb.Hello",
		in_signature='s', out_signature='s')
	def Echo(self, text):
		return text

dbus.mainloop.glib.DBusGMainLoop(set_as_default=True)

object = Service()

mainloop = gobject.MainLoop()
mainloop.run()

